package com.qmth.distributed.print.business.enums;

import com.qmth.distributed.print.business.enums.result.EnumResult;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 考务数据导入-数据库所必须字段枚举
 * @Author: CaoZixuan
 * @Date: 2021-04-20
 */
public enum ExaminationDBFieldsEnum {
    STUDENT_CODE("学号"),
    STUDENT_NAME("姓名"),
    COURSE_CODE("课程代码"),
    COURSE_NAME("课程名称"),
    EXAM_PLACE("考点"),
    EXAM_ROOM("考场"),
    EXAM_DATE("考试日期"),
    EXAM_TIME("考试时间"),
    PAPER_NUMBER("试卷编号");
    private final String desc;

    ExaminationDBFieldsEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public static List<EnumResult> listTypes() {
        List<EnumResult> list = new ArrayList<>();
        for (ExaminationDBFieldsEnum value : ExaminationDBFieldsEnum.values()) {
            EnumResult result = new EnumResult();
            result.setName(value.name());
            result.setOrdinal(value.ordinal());
            result.setCode(null);
            result.setDesc(value.getDesc());
            list.add(result);
        }
        return list;
    }
}
